From 773df4d354f8bf8dc49d034b597e82e316fabedf Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 20 May 2016 08:03:38 -0700
Subject: [PATCH] Restore frames into the current display by default

* lisp/desktop.el (desktop-restore-in-current-display):
Default to t, not nil.
* etc/NEWS: Mention the change.
---
 etc/NEWS        | 4 ++++
 lisp/desktop.el | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/etc/NEWS b/etc/NEWS
index 670465f..00515f5 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -361,6 +361,10 @@ recommended to do this as soon as you have firmly upgraded to Emacs
 25.1 (or later).  Should you ever need to downgrade your desktop file
 to version 206, you can do this with 'C-u C-u M-x desktop-save'.
 
+---
+*** desktop-restore-in-current-display now defaults to t, not nil.
+That is, Emacs by default now restores frames into the current display.
+
 +++
 ** New function 'bookmark-set-no-overwrite' bound to 'C-x r M'.
 It raises an error if a bookmark of that name already exists,
diff --git a/lisp/desktop.el b/lisp/desktop.el
index 822db05..cfc4475 100644
--- a/lisp/desktop.el
+++ b/lisp/desktop.el
@@ -408,7 +408,7 @@ desktop-restore-frames
   :group 'desktop
   :version "24.4")
 
-(defcustom desktop-restore-in-current-display nil
+(defcustom desktop-restore-in-current-display t
   "Controls how restoring of frames treats displays.
 If t, restores frames into the current display.
 If nil, restores frames into their original displays (if possible).
-- 
2.5.5

